/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TCoreLogicorgrp;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TCoreLogicorgrpRecord extends UpdatableRecordImpl<TCoreLogicorgrpRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_core_logicorgrp.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_core_logicorgrp.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.t_core_logicorgrp.orgrp</code>. id of logical
     * or group
     */
    public void setOrgrp(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_core_logicorgrp.orgrp</code>. id of logical
     * or group
     */
    public Integer getOrgrp() {
        return (Integer) get(1);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TCoreLogicorgrpRecord
     */
    public TCoreLogicorgrpRecord() {
        super(TCoreLogicorgrp.T_CORE_LOGICORGRP);
    }

    /**
     * Create a detached, initialised TCoreLogicorgrpRecord
     */
    public TCoreLogicorgrpRecord(LocalDateTime lastchange, Integer orgrp) {
        super(TCoreLogicorgrp.T_CORE_LOGICORGRP);

        setLastchange(lastchange);
        setOrgrp(orgrp);
        resetChangedOnNotNull();
    }
}
